This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1291949 - Review Request: nodejs-defence - Extract fenced code from CommonMark documents
Review Request: nodejs-defence - Extract fenced code from CommonMark documents
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
:
Depends On: 1291938
Blocks: nodejs-reviews 1292136
  Show dependency treegraph
 
Reported: 2015-12-15 18:15 EST by Jared Smith
Modified: 2016-05-27 16:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 16:31:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
piotr1212: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2015-12-15 18:15:06 EST
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-defence/nodejs-defence.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-defence/nodejs-defence-1.0.3-1.fc24.src.rpm
Description: Extract fenced code from CommonMark documents
Fedora Account System Username: jsmith
Comment 2 Piotr Popieluch 2015-12-23 16:57:05 EST
- Please update to latest upstream 1.0.4 - this release adds the license text

- remove sed from BR:
Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: sed
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2






Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that
  are listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: sed
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 23 files have
     unknown license. Detailed output of licensecheck in
     /home/piotr/rpmbuild/repo/1291949-nodejs-defence/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-defence-1.0.3-2.fc24.noarch.rpm
          nodejs-defence-1.0.3-2.fc24.src.rpm
nodejs-defence.noarch: W: only-non-binary-in-usr-lib
nodejs-defence.noarch: W: dangling-symlink /usr/lib/node_modules/defence/node_modules/commonmark /usr/lib/node_modules/commonmark
nodejs-defence.src: W: invalid-url Source1: tests-1.0.3.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-defence.noarch: W: only-non-binary-in-usr-lib
nodejs-defence.noarch: W: dangling-symlink /usr/lib/node_modules/defence/node_modules/commonmark /usr/lib/node_modules/commonmark
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
nodejs-defence (rpmlib, GLIBC filtered):
    nodejs
    nodejs(engine)
    npm(commonmark)



Provides
--------
nodejs-defence:
    nodejs-defence
    npm(defence)



Source checksums
----------------
https://registry.npmjs.org/defence/-/defence-1.0.3.tgz :
  CHECKSUM(SHA256) this package     : eb4c1fca44e49f38e91c06a77b86904cd9c4a9a6ff596a726511e3350db71ae0
  CHECKSUM(SHA256) upstream package : eb4c1fca44e49f38e91c06a77b86904cd9c4a9a6ff596a726511e3350db71ae0


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -x CheckOwnDirs -b 1291949
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Piotr Popieluch 2015-12-25 06:57:32 EST
approved
Comment 5 Gwyn Ciesla 2015-12-25 10:13:42 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-defence
Comment 6 Piotr Popieluch 2016-05-27 16:31:57 EDT
in f24

Note You need to log in before you can comment on or make changes to this bug.